part of core;

// https://www.khronos.org/registry/webgl/specs/latest/2.0/
// https://www.khronos.org/registry/webgl/specs/latest/1.0/

const int GL_ACTIVE_ATTRIBUTES                = 0x8B89;
const int GL_ACTIVE_TEXTURE                 = 0x84E0;
const int GL_ACTIVE_UNIFORMS                  = 0x8B86;
const int GL_ACTIVE_UNIFORM_BLOCKS = 0x8A36;
const int GL_ALIASED_LINE_WIDTH_RANGE       = 0x846E;
const int GL_ALIASED_POINT_SIZE_RANGE       = 0x846D;
const int GL_ALPHA                          = 0x1906;
const int GL_ALPHA_BITS                     = 0x0D55;
const int GL_ALWAYS                         = 0x0207;
const int GL_ANY_SAMPLES_PASSED = 0x8C2F;
const int GL_ANY_SAMPLES_PASSED_CONSERVATIVE = 0x8D6A;
const int GL_ARRAY_BUFFER                   = 0x8892;
const int GL_ARRAY_BUFFER_BINDING           = 0x8894;
const int GL_ATTACHED_SHADERS                 = 0x8B85;
const int GL_BACK                           = 0x0405;
const int GL_BLEND                          = 0x0BE2;
const int GL_BLEND_COLOR                    = 0x8005;
const int GL_BLEND_DST_ALPHA                = 0x80CA;
const int GL_BLEND_DST_RGB                  = 0x80C8;
const int GL_BLEND_EQUATION                 = 0x8009;
const int GL_BLEND_EQUATION_ALPHA           = 0x883D;
const int GL_BLEND_EQUATION_RGB             = 0x8009;   // same as BLEND_EQUATION
const int GL_BLEND_SRC_ALPHA                = 0x80CB;
const int GL_BLEND_SRC_RGB                  = 0x80C9;
const int GL_BLUE_BITS                      = 0x0D54;
const int GL_BOOL                           = 0x8B56;
const int GL_BOOL_VEC2                      = 0x8B57;
const int GL_BOOL_VEC3                      = 0x8B58;
const int GL_BOOL_VEC4                      = 0x8B59;
const int GL_BROWSER_DEFAULT_WEBGL          = 0x9244;
const int GL_BUFFER_SIZE                    = 0x8764;
const int GL_BUFFER_USAGE                   = 0x8765;
const int GL_BYTE                           = 0x1400;
const int GL_CCW                            = 0x0901;
const int GL_CLAMP_TO_EDGE                  = 0x812F;
const int GL_COLOR = 0x1800;
const int GL_COLOR_ATTACHMENT0              = 0x8CE0;
const int GL_COLOR_ATTACHMENT1 = 0x8CE1;
const int GL_COLOR_ATTACHMENT10 = 0x8CEA;
const int GL_COLOR_ATTACHMENT11 = 0x8CEB;
const int GL_COLOR_ATTACHMENT12 = 0x8CEC;
const int GL_COLOR_ATTACHMENT13 = 0x8CED;
const int GL_COLOR_ATTACHMENT14 = 0x8CEE;
const int GL_COLOR_ATTACHMENT15 = 0x8CEF;
const int GL_COLOR_ATTACHMENT2 = 0x8CE2;
const int GL_COLOR_ATTACHMENT3 = 0x8CE3;
const int GL_COLOR_ATTACHMENT4 = 0x8CE4;
const int GL_COLOR_ATTACHMENT5 = 0x8CE5;
const int GL_COLOR_ATTACHMENT6 = 0x8CE6;
const int GL_COLOR_ATTACHMENT7 = 0x8CE7;
const int GL_COLOR_ATTACHMENT8 = 0x8CE8;
const int GL_COLOR_ATTACHMENT9 = 0x8CE9;
const int GL_COLOR_BUFFER_BIT               = 0x00004000;
const int GL_COLOR_CLEAR_VALUE              = 0x0C22;
const int GL_COLOR_WRITEMASK                = 0x0C23;
const int GL_COMPARE_REF_TO_TEXTURE = 0x884E;
const int GL_COMPILE_STATUS                 = 0x8B81;
const int GL_CONDITION_SATISFIED = 0x911C;
const int GL_CONSTANT_ALPHA                 = 0x8003;
const int GL_CONSTANT_COLOR                 = 0x8001;
const int GL_CONTEXT_LOST_WEBGL             = 0x9242;
const int GL_COPY_READ_BUFFER = 0x8F36;
const int GL_COPY_READ_BUFFER_BINDING = 0x8F36; // Same as COPY_READ_BUFFER
const int GL_COPY_WRITE_BUFFER = 0x8F37;
const int GL_COPY_WRITE_BUFFER_BINDING = 0x8F37; // Same as COPY_WRITE_BUFFER
const int GL_CULL_FACE                      = 0x0B44;
const int GL_CULL_FACE_MODE                 = 0x0B45;
const int GL_CURRENT_PROGRAM                  = 0x8B8D;
const int GL_CURRENT_QUERY = 0x8865;
const int GL_CURRENT_VERTEX_ATTRIB          = 0x8626;
const int GL_CW                             = 0x0900;
const int GL_DECR                           = 0x1E03;
const int GL_DECR_WRAP                      = 0x8508;
const int GL_DELETE_STATUS                    = 0x8B80;
const int GL_DEPTH = 0x1801;
const int GL_DEPTH24_STENCIL8 = 0x88F0;
const int GL_DEPTH32F_STENCIL8 = 0x8CAD;
const int GL_DEPTH_ATTACHMENT               = 0x8D00;
const int GL_DEPTH_BITS                     = 0x0D56;
const int GL_DEPTH_BUFFER_BIT               = 0x00000100;
const int GL_DEPTH_CLEAR_VALUE              = 0x0B73;
const int GL_DEPTH_COMPONENT                = 0x1902;
const int GL_DEPTH_COMPONENT16              = 0x81A5;
const int GL_DEPTH_COMPONENT24 = 0x81A6;
const int GL_DEPTH_COMPONENT32F = 0x8CAC;
const int GL_DEPTH_FUNC                     = 0x0B74;
const int GL_DEPTH_RANGE                    = 0x0B70;
const int GL_DEPTH_STENCIL = 0x84F9;
const int GL_DEPTH_STENCIL_ATTACHMENT       = 0x821A;
const int GL_DEPTH_TEST                     = 0x0B71;
const int GL_DEPTH_WRITEMASK                = 0x0B72;
const int GL_DITHER                         = 0x0BD0;
const int GL_DRAW_BUFFER0 = 0x8825;
const int GL_DRAW_BUFFER1 = 0x8826;
const int GL_DRAW_BUFFER10 = 0x882F;
const int GL_DRAW_BUFFER11 = 0x8830;
const int GL_DRAW_BUFFER12 = 0x8831;
const int GL_DRAW_BUFFER13 = 0x8832;
const int GL_DRAW_BUFFER14 = 0x8833;
const int GL_DRAW_BUFFER15 = 0x8834;
const int GL_DRAW_BUFFER2 = 0x8827;
const int GL_DRAW_BUFFER3 = 0x8828;
const int GL_DRAW_BUFFER4 = 0x8829;
const int GL_DRAW_BUFFER5 = 0x882A;
const int GL_DRAW_BUFFER6 = 0x882B;
const int GL_DRAW_BUFFER7 = 0x882C;
const int GL_DRAW_BUFFER8 = 0x882D;
const int GL_DRAW_BUFFER9 = 0x882E;
const int GL_DRAW_FRAMEBUFFER = 0x8CA9;
const int GL_DRAW_FRAMEBUFFER_BINDING = 0x8CA6; // Same as FRAMEBUFFER_BINDING
const int GL_DST_ALPHA                      = 0x0304;
const int GL_DST_COLOR                      = 0x0306;
const int GL_DYNAMIC_COPY = 0x88EA;
const int GL_DYNAMIC_DRAW                   = 0x88E8;
const int GL_DYNAMIC_READ = 0x88E9;
const int GL_ELEMENT_ARRAY_BUFFER           = 0x8893;
const int GL_ELEMENT_ARRAY_BUFFER_BINDING   = 0x8895;
const int GL_EQUAL                          = 0x0202;
const int GL_FASTEST                        = 0x1101;
const int GL_FLOAT                          = 0x1406;
const int GL_FLOAT_32_UNSIGNED_INT_24_8_REV = 0x8DAD;
const int GL_FLOAT_MAT2                     = 0x8B5A;
const int GL_FLOAT_MAT2x3 = 0x8B65;
const int GL_FLOAT_MAT2x4 = 0x8B66;
const int GL_FLOAT_MAT3                     = 0x8B5B;
const int GL_FLOAT_MAT3x2 = 0x8B67;
const int GL_FLOAT_MAT3x4 = 0x8B68;
const int GL_FLOAT_MAT4                     = 0x8B5C;
const int GL_FLOAT_MAT4x2 = 0x8B69;
const int GL_FLOAT_MAT4x3 = 0x8B6A;
const int GL_FLOAT_VEC2                     = 0x8B50;
const int GL_FLOAT_VEC3                     = 0x8B51;
const int GL_FLOAT_VEC4                     = 0x8B52;
const int GL_FRAGMENT_SHADER                  = 0x8B30;
const int GL_FRAGMENT_SHADER_DERIVATIVE_HINT = 0x8B8B;
const int GL_FRAMEBUFFER                    = 0x8D40;
const int GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE = 0x8215;
const int GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE = 0x8214;
const int GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING = 0x8210;
const int GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE = 0x8211;
const int GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE = 0x8216;
const int GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE = 0x8213;
const int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME           = 0x8CD1;
const int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE           = 0x8CD0;
const int GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE = 0x8212;
const int GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE = 0x8217;
const int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE = 0x8CD3;
const int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER = 0x8CD4;
const int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL         = 0x8CD2;
const int GL_FRAMEBUFFER_BINDING            = 0x8CA6;
const int GL_FRAMEBUFFER_COMPLETE                      = 0x8CD5;
const int GL_FRAMEBUFFER_DEFAULT = 0x8218;
const int GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT         = 0x8CD6;
const int GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS         = 0x8CD9;
const int GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT = 0x8CD7;
const int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE = 0x8D56;
const int GL_FRAMEBUFFER_UNSUPPORTED                   = 0x8CDD;
const int GL_FRONT                          = 0x0404;
const int GL_FRONT_AND_BACK                 = 0x0408;
const int GL_FRONT_FACE                     = 0x0B46;
const int GL_FUNC_ADD                       = 0x8006;
const int GL_FUNC_REVERSE_SUBTRACT          = 0x800B;
const int GL_FUNC_SUBTRACT                  = 0x800A;
const int GL_GEQUAL                         = 0x0206;
const int GL_GREATER                        = 0x0204;
const int GL_GREEN_BITS                     = 0x0D53;
const int GL_HALF_FLOAT = 0x140B;
const int GL_HIGH_FLOAT                     = 0x8DF2;
const int GL_HIGH_INT                       = 0x8DF5;
const int GL_IMPLEMENTATION_COLOR_READ_FORMAT = 0x8B9B;
const int GL_IMPLEMENTATION_COLOR_READ_TYPE   = 0x8B9A;
const int GL_INCR                           = 0x1E02;
const int GL_INCR_WRAP                      = 0x8507;
const int GL_INT                            = 0x1404;
const int GL_INTERLEAVED_ATTRIBS = 0x8C8C;
const int GL_INT_2_10_10_10_REV = 0x8D9F;
const int GL_INT_SAMPLER_2D = 0x8DCA;
const int GL_INT_SAMPLER_2D_ARRAY = 0x8DCF;
const int GL_INT_SAMPLER_3D = 0x8DCB;
const int GL_INT_SAMPLER_CUBE = 0x8DCC;
const int GL_INT_VEC2                       = 0x8B53;
const int GL_INT_VEC3                       = 0x8B54;
const int GL_INT_VEC4                       = 0x8B55;
const int GL_INVALID_ENUM                   = 0x0500;
const int GL_INVALID_FRAMEBUFFER_OPERATION  = 0x0506;
const int GL_INVALID_INDEX = 0xFFFFFFFF;
const int GL_INVALID_OPERATION              = 0x0502;
const int GL_INVALID_VALUE                  = 0x0501;
const int GL_INVERT                         = 0x150A;
const int GL_KEEP                           = 0x1E00;
const int GL_LEQUAL                         = 0x0203;
const int GL_LESS                           = 0x0201;
const int GL_LINEAR                         = 0x2601;
const int GL_LINEAR_MIPMAP_LINEAR           = 0x2703;
const int GL_LINEAR_MIPMAP_NEAREST          = 0x2701;
const int GL_LINES                          = 0x0001;
const int GL_LINE_LOOP                      = 0x0002;
const int GL_LINE_STRIP                     = 0x0003;
const int GL_LINE_WIDTH                     = 0x0B21;
const int GL_LINK_STATUS                      = 0x8B82;
const int GL_LOW_FLOAT                      = 0x8DF0;
const int GL_LOW_INT                        = 0x8DF3;
const int GL_LUMINANCE                      = 0x1909;
const int GL_LUMINANCE_ALPHA                = 0x190A;
const int GL_MAX = 0x8008;
const int GL_MAX_3D_TEXTURE_SIZE = 0x8073;
const int GL_MAX_ARRAY_TEXTURE_LAYERS = 0x88FF;
const int GL_MAX_COLOR_ATTACHMENTS = 0x8CDF;
const int GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS = 0x8A33;
const int GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS = 0x8B4D;
const int GL_MAX_COMBINED_UNIFORM_BLOCKS = 0x8A2E;
const int GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS = 0x8A31;
const int GL_MAX_CUBE_MAP_TEXTURE_SIZE      = 0x851C;
const int GL_MAX_DRAW_BUFFERS = 0x8824;
const int GL_MAX_ELEMENTS_INDICES = 0x80E9;
const int GL_MAX_ELEMENTS_VERTICES = 0x80E8;
const int GL_MAX_ELEMENT_INDEX = 0x8D6B;
const int GL_MAX_FRAGMENT_INPUT_COMPONENTS = 0x9125;
const int GL_MAX_FRAGMENT_UNIFORM_BLOCKS = 0x8A2D;
const int GL_MAX_FRAGMENT_UNIFORM_COMPONENTS = 0x8B49;
const int GL_MAX_FRAGMENT_UNIFORM_VECTORS     = 0x8DFD;
const int GL_MAX_PROGRAM_TEXEL_OFFSET = 0x8905;
const int GL_MAX_RENDERBUFFER_SIZE          = 0x84E8;
const int GL_MAX_SAMPLES = 0x8D57;
const int GL_MAX_SERVER_WAIT_TIMEOUT = 0x9111;
const int GL_MAX_TEXTURE_IMAGE_UNITS          = 0x8872;
const int GL_MAX_TEXTURE_LOD_BIAS = 0x84FD;
const int GL_MAX_TEXTURE_SIZE               = 0x0D33;
const int GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS = 0x8C8A;
const int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS = 0x8C8B;
const int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS = 0x8C80;
const int GL_MAX_UNIFORM_BLOCK_SIZE = 0x8A30;
const int GL_MAX_UNIFORM_BUFFER_BINDINGS = 0x8A2F;
const int GL_MAX_VARYING_COMPONENTS = 0x8B4B;
const int GL_MAX_VARYING_VECTORS              = 0x8DFC;
const int GL_MAX_VERTEX_ATTRIBS               = 0x8869;
const int GL_MAX_VERTEX_OUTPUT_COMPONENTS = 0x9122;
const int GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS   = 0x8B4C;
const int GL_MAX_VERTEX_UNIFORM_BLOCKS = 0x8A2B;
const int GL_MAX_VERTEX_UNIFORM_COMPONENTS = 0x8B4A;
const int GL_MAX_VERTEX_UNIFORM_VECTORS       = 0x8DFB;
const int GL_MAX_VIEWPORT_DIMS              = 0x0D3A;
const int GL_MEDIUM_FLOAT                   = 0x8DF1;
const int GL_MEDIUM_INT                     = 0x8DF4;
const int GL_MIN = 0x8007;
const int GL_MIN_PROGRAM_TEXEL_OFFSET = 0x8904;
const int GL_MIRRORED_REPEAT                = 0x8370;
const int GL_NEAREST                        = 0x2600;
const int GL_NEAREST_MIPMAP_LINEAR          = 0x2702;
const int GL_NEAREST_MIPMAP_NEAREST         = 0x2700;
const int GL_NEVER                          = 0x0200;
const int GL_NICEST                         = 0x1102;
const int GL_NONE                           = 0;
const int GL_NOTEQUAL                       = 0x0205;
const int GL_NO_ERROR                       = 0;
const int GL_OBJECT_TYPE = 0x9112;
const int GL_ONE                            = 1;
const int GL_ONE_MINUS_CONSTANT_ALPHA       = 0x8004;
const int GL_ONE_MINUS_CONSTANT_COLOR       = 0x8002;
const int GL_ONE_MINUS_DST_ALPHA            = 0x0305;
const int GL_ONE_MINUS_DST_COLOR            = 0x0307;
const int GL_ONE_MINUS_SRC_ALPHA            = 0x0303;
const int GL_ONE_MINUS_SRC_COLOR            = 0x0301;
const int GL_OUT_OF_MEMORY                  = 0x0505;
const int GL_PACK_ALIGNMENT                 = 0x0D05;
const int GL_PACK_ROW_LENGTH = 0x0D02;
const int GL_PACK_SKIP_PIXELS = 0x0D04;
const int GL_PACK_SKIP_ROWS = 0x0D03;
const int GL_PIXEL_PACK_BUFFER = 0x88EB;
const int GL_PIXEL_PACK_BUFFER_BINDING = 0x88ED;
const int GL_PIXEL_UNPACK_BUFFER = 0x88EC;
const int GL_PIXEL_UNPACK_BUFFER_BINDING = 0x88EF;
const int GL_POINTS                         = 0x0000;
const int GL_POLYGON_OFFSET_FACTOR          = 0x8038;
const int GL_POLYGON_OFFSET_FILL            = 0x8037;
const int GL_POLYGON_OFFSET_UNITS           = 0x2A00;
const int GL_QUERY_RESULT = 0x8866;
const int GL_QUERY_RESULT_AVAILABLE = 0x8867;
const int GL_R11F_G11F_B10F = 0x8C3A;
const int GL_R16F = 0x822D;
const int GL_R16I = 0x8233;
const int GL_R16UI = 0x8234;
const int GL_R32F = 0x822E;
const int GL_R32I = 0x8235;
const int GL_R32UI = 0x8236;
const int GL_R8 = 0x8229;
const int GL_R8I = 0x8231;
const int GL_R8UI = 0x8232;
const int GL_R8_SNORM = 0x8F94;
const int GL_RASTERIZER_DISCARD = 0x8C89;
const int GL_READ_BUFFER = 0x0C02;
const int GL_READ_FRAMEBUFFER = 0x8CA8;
const int GL_READ_FRAMEBUFFER_BINDING = 0x8CAA;
const int GL_RED = 0x1903;
const int GL_RED_BITS                       = 0x0D52;
const int GL_RED_INTEGER = 0x8D94;
const int GL_RENDERBUFFER                   = 0x8D41;
const int GL_RENDERBUFFER_ALPHA_SIZE        = 0x8D53;
const int GL_RENDERBUFFER_BINDING           = 0x8CA7;
const int GL_RENDERBUFFER_BLUE_SIZE         = 0x8D52;
const int GL_RENDERBUFFER_DEPTH_SIZE        = 0x8D54;
const int GL_RENDERBUFFER_GREEN_SIZE        = 0x8D51;
const int GL_RENDERBUFFER_HEIGHT            = 0x8D43;
const int GL_RENDERBUFFER_INTERNAL_FORMAT   = 0x8D44;
const int GL_RENDERBUFFER_RED_SIZE          = 0x8D50;
const int GL_RENDERBUFFER_SAMPLES = 0x8CAB;
const int GL_RENDERBUFFER_STENCIL_SIZE      = 0x8D55;
const int GL_RENDERBUFFER_WIDTH             = 0x8D42;
const int GL_RENDERER                       = 0x1F01;
const int GL_REPEAT                         = 0x2901;
const int GL_REPLACE                        = 0x1E01;
const int GL_RG = 0x8227;
const int GL_RG16F = 0x822F;
const int GL_RG16I = 0x8239;
const int GL_RG16UI = 0x823A;
const int GL_RG32F = 0x8230;
const int GL_RG32I = 0x823B;
const int GL_RG32UI = 0x823C;
const int GL_RG8 = 0x822B;
const int GL_RG8I = 0x8237;
const int GL_RG8UI = 0x8238;
const int GL_RG8_SNORM = 0x8F95;
const int GL_RGB                            = 0x1907;
const int GL_RGB10_A2 = 0x8059;
const int GL_RGB10_A2UI = 0x906F;
const int GL_RGB16F = 0x881B;
const int GL_RGB16I = 0x8D89;
const int GL_RGB16UI = 0x8D77;
const int GL_RGB32F = 0x8815;
const int GL_RGB32I = 0x8D83;
const int GL_RGB32UI = 0x8D71;
const int GL_RGB565                         = 0x8D62;
const int GL_RGB5_A1                        = 0x8057;
const int GL_RGB8 = 0x8051;
const int GL_RGB8I = 0x8D8F;
const int GL_RGB8UI = 0x8D7D;
const int GL_RGB8_SNORM = 0x8F96;
const int GL_RGB9_E5 = 0x8C3D;
const int GL_RGBA                           = 0x1908;
const int GL_RGBA16F = 0x881A;
const int GL_RGBA16I = 0x8D88;
const int GL_RGBA16UI = 0x8D76;
const int GL_RGBA32F = 0x8814;
const int GL_RGBA32I = 0x8D82;
const int GL_RGBA32UI = 0x8D70;
const int GL_RGBA4                          = 0x8056;
const int GL_RGBA8 = 0x8058;
const int GL_RGBA8I = 0x8D8E;
const int GL_RGBA8UI = 0x8D7C;
const int GL_RGBA8_SNORM = 0x8F97;
const int GL_RGBA_INTEGER = 0x8D99;
const int GL_RGB_INTEGER = 0x8D98;
const int GL_RG_INTEGER = 0x8228;
const int GL_SAMPLER_2D                     = 0x8B5E;
const int GL_SAMPLER_2D_ARRAY = 0x8DC1;
const int GL_SAMPLER_2D_ARRAY_SHADOW = 0x8DC4;
const int GL_SAMPLER_2D_SHADOW = 0x8B62;
const int GL_SAMPLER_3D = 0x8B5F;
const int GL_SAMPLER_BINDING = 0x8919;
const int GL_SAMPLER_CUBE                   = 0x8B60;
const int GL_SAMPLER_CUBE_SHADOW = 0x8DC5;
const int GL_SAMPLES                        = 0x80A9;
const int GL_SAMPLE_ALPHA_TO_COVERAGE       = 0x809E;
const int GL_SAMPLE_BUFFERS                 = 0x80A8;
const int GL_SAMPLE_COVERAGE                = 0x80A0;
const int GL_SAMPLE_COVERAGE_INVERT         = 0x80AB;
const int GL_SAMPLE_COVERAGE_VALUE          = 0x80AA;
const int GL_SCISSOR_BOX                    = 0x0C10;
const int GL_SCISSOR_TEST                   = 0x0C11;
const int GL_SEPARATE_ATTRIBS = 0x8C8D;
const int GL_SHADER_TYPE                      = 0x8B4F;
const int GL_SHADING_LANGUAGE_VERSION         = 0x8B8C;
const int GL_SHORT                          = 0x1402;
const int GL_SIGNALED = 0x9119;
const int GL_SIGNED_NORMALIZED = 0x8F9C;
const int GL_SRC_ALPHA                      = 0x0302;
const int GL_SRC_ALPHA_SATURATE             = 0x0308;
const int GL_SRC_COLOR                      = 0x0300;
const int GL_SRGB = 0x8C40;
const int GL_SRGB8 = 0x8C41;
const int GL_SRGB8_ALPHA8 = 0x8C43;
const int GL_STATIC_COPY = 0x88E6;
const int GL_STATIC_DRAW                    = 0x88E4;
const int GL_STATIC_READ = 0x88E5;
const int GL_STENCIL = 0x1802;
const int GL_STENCIL_ATTACHMENT             = 0x8D20;
const int GL_STENCIL_BACK_FAIL              = 0x8801;
const int GL_STENCIL_BACK_FUNC              = 0x8800;
const int GL_STENCIL_BACK_PASS_DEPTH_FAIL   = 0x8802;
const int GL_STENCIL_BACK_PASS_DEPTH_PASS   = 0x8803;
const int GL_STENCIL_BACK_REF               = 0x8CA3;
const int GL_STENCIL_BACK_VALUE_MASK        = 0x8CA4;
const int GL_STENCIL_BACK_WRITEMASK         = 0x8CA5;
const int GL_STENCIL_BITS                   = 0x0D57;
const int GL_STENCIL_BUFFER_BIT             = 0x00000400;
const int GL_STENCIL_CLEAR_VALUE            = 0x0B91;
const int GL_STENCIL_FAIL                   = 0x0B94;
const int GL_STENCIL_FUNC                   = 0x0B92;
const int GL_STENCIL_INDEX                  = 0x1901;
const int GL_STENCIL_INDEX8                 = 0x8D48;
const int GL_STENCIL_PASS_DEPTH_FAIL        = 0x0B95;
const int GL_STENCIL_PASS_DEPTH_PASS        = 0x0B96;
const int GL_STENCIL_REF                    = 0x0B97;
const int GL_STENCIL_TEST                   = 0x0B90;
const int GL_STENCIL_VALUE_MASK             = 0x0B93;
const int GL_STENCIL_WRITEMASK              = 0x0B98;
const int GL_STREAM_COPY = 0x88E2;
const int GL_STREAM_DRAW                    = 0x88E0;
const int GL_STREAM_READ = 0x88E1;
const int GL_SUBPIXEL_BITS                  = 0x0D50;
const int GL_SYNC_CONDITION = 0x9113;
const int GL_SYNC_FENCE = 0x9116;
const int GL_SYNC_FLAGS = 0x9115;
const int GL_SYNC_FLUSH_COMMANDS_BIT = 0x00000001;
const int GL_SYNC_GPU_COMMANDS_COMPLETE = 0x9117;
const int GL_SYNC_STATUS = 0x9114;
const int GL_TEXTURE                        = 0x1702;
const int GL_TEXTURE0                       = 0x84C0;
const int GL_TEXTURE_2D                     = 0x0DE1;
const int GL_TEXTURE_2D_ARRAY = 0x8C1A;
const int GL_TEXTURE_3D = 0x806F;
const int GL_TEXTURE_BASE_LEVEL = 0x813C;
const int GL_TEXTURE_BINDING_2D             = 0x8069;
const int GL_TEXTURE_BINDING_2D_ARRAY = 0x8C1D;
const int GL_TEXTURE_BINDING_3D = 0x806A;
const int GL_TEXTURE_BINDING_CUBE_MAP       = 0x8514;
const int GL_TEXTURE_COMPARE_FUNC = 0x884D;
const int GL_TEXTURE_COMPARE_MODE = 0x884C;
const int GL_TEXTURE_CUBE_MAP               = 0x8513;
const int GL_TEXTURE_CUBE_MAP_NEGATIVE_X    = 0x8516;
const int GL_TEXTURE_CUBE_MAP_NEGATIVE_Y    = 0x8518;
const int GL_TEXTURE_CUBE_MAP_NEGATIVE_Z    = 0x851A;
const int GL_TEXTURE_CUBE_MAP_POSITIVE_X    = 0x8515;
const int GL_TEXTURE_CUBE_MAP_POSITIVE_Y    = 0x8517;
const int GL_TEXTURE_CUBE_MAP_POSITIVE_Z    = 0x8519;
const int GL_TEXTURE_IMMUTABLE_FORMAT = 0x912F;
const int GL_TEXTURE_IMMUTABLE_LEVELS = 0x82DF;
const int GL_TEXTURE_MAG_FILTER             = 0x2800;
const int GL_TEXTURE_MAX_ANISOTROPY_EXT = 0x84FE;
const int GL_TEXTURE_MAX_LEVEL = 0x813D;
const int GL_TEXTURE_MAX_LOD = 0x813B;
const int GL_TEXTURE_MIN_FILTER             = 0x2801;
const int GL_TEXTURE_MIN_LOD = 0x813A;
const int GL_TEXTURE_WRAP_R = 0x8072;
const int GL_TEXTURE_WRAP_S                 = 0x2802;
const int GL_TEXTURE_WRAP_T                 = 0x2803;
const int GL_TIMEOUT_EXPIRED = 0x911B;
const int GL_TRANSFORM_FEEDBACK = 0x8E22;
const int GL_TRANSFORM_FEEDBACK_ACTIVE = 0x8E24;
const int GL_TRANSFORM_FEEDBACK_BINDING = 0x8E25;
const int GL_TRANSFORM_FEEDBACK_BUFFER = 0x8C8E;
const int GL_TRANSFORM_FEEDBACK_BUFFER_BINDING = 0x8C8F;
const int GL_TRANSFORM_FEEDBACK_BUFFER_MODE = 0x8C7F;
const int GL_TRANSFORM_FEEDBACK_BUFFER_SIZE = 0x8C85;
const int GL_TRANSFORM_FEEDBACK_BUFFER_START = 0x8C84;
const int GL_TRANSFORM_FEEDBACK_PAUSED = 0x8E23;
const int GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN = 0x8C88;
const int GL_TRANSFORM_FEEDBACK_VARYINGS = 0x8C83;
const int GL_TRIANGLES                      = 0x0004;
const int GL_TRIANGLE_FAN                   = 0x0006;
const int GL_TRIANGLE_STRIP                 = 0x0005;
const int GL_UNIFORM_ARRAY_STRIDE = 0x8A3C;
const int GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS = 0x8A42;
const int GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES = 0x8A43;
const int GL_UNIFORM_BLOCK_BINDING = 0x8A3F;
const int GL_UNIFORM_BLOCK_DATA_SIZE = 0x8A40;
const int GL_UNIFORM_BLOCK_INDEX = 0x8A3A;
const int GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER = 0x8A46;
const int GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER = 0x8A44;
const int GL_UNIFORM_BUFFER = 0x8A11;
const int GL_UNIFORM_BUFFER_BINDING = 0x8A28;
const int GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT = 0x8A34;
const int GL_UNIFORM_BUFFER_SIZE = 0x8A2A;
const int GL_UNIFORM_BUFFER_START = 0x8A29;
const int GL_UNIFORM_IS_ROW_MAJOR = 0x8A3E;
const int GL_UNIFORM_MATRIX_STRIDE = 0x8A3D;
const int GL_UNIFORM_OFFSET = 0x8A3B;
const int GL_UNIFORM_SIZE = 0x8A38;
const int GL_UNIFORM_TYPE = 0x8A37;
const int GL_UNMASKED_VENDOR_WEBGL = 0x9245;
const int GL_UNMASKED_RENDERER_WEBGL= 0x9246;
const int GL_UNPACK_ALIGNMENT               = 0x0CF5;
const int GL_UNPACK_COLORSPACE_CONVERSION_WEBGL = 0x9243;
const int GL_UNPACK_FLIP_Y_WEBGL            = 0x9240;
const int GL_UNPACK_IMAGE_HEIGHT = 0x806E;
const int GL_UNPACK_PREMULTIPLY_ALPHA_WEBGL = 0x9241;
const int GL_UNPACK_ROW_LENGTH = 0x0CF2;
const int GL_UNPACK_SKIP_IMAGES = 0x806D;
const int GL_UNPACK_SKIP_PIXELS = 0x0CF4;
const int GL_UNPACK_SKIP_ROWS = 0x0CF3;
const int GL_UNSIGNALED = 0x9118;
const int GL_UNSIGNED_BYTE                  = 0x1401;
const int GL_UNSIGNED_INT                   = 0x1405;
const int GL_UNSIGNED_INT_10F_11F_11F_REV = 0x8C3B;
const int GL_UNSIGNED_INT_24_8 = 0x84FA;
const int GL_UNSIGNED_INT_2_10_10_10_REV = 0x8368;
const int GL_UNSIGNED_INT_5_9_9_9_REV = 0x8C3E;
const int GL_UNSIGNED_INT_SAMPLER_2D = 0x8DD2;
const int GL_UNSIGNED_INT_SAMPLER_2D_ARRAY = 0x8DD7;
const int GL_UNSIGNED_INT_SAMPLER_3D = 0x8DD3;
const int GL_UNSIGNED_INT_SAMPLER_CUBE = 0x8DD4;
const int GL_UNSIGNED_INT_VEC2 = 0x8DC6;
const int GL_UNSIGNED_INT_VEC3 = 0x8DC7;
const int GL_UNSIGNED_INT_VEC4 = 0x8DC8;
const int GL_UNSIGNED_NORMALIZED = 0x8C17;
const int GL_UNSIGNED_SHORT                 = 0x1403;
const int GL_UNSIGNED_SHORT_4_4_4_4         = 0x8033;
const int GL_UNSIGNED_SHORT_5_5_5_1         = 0x8034;
const int GL_UNSIGNED_SHORT_5_6_5           = 0x8363;
const int GL_VALIDATE_STATUS                  = 0x8B83;
const int GL_VENDOR                         = 0x1F00;
const int GL_VERSION                        = 0x1F02;
const int GL_VERTEX_ARRAY_BINDING = 0x85B5;
const int GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING = 0x889F;
const int GL_VERTEX_ATTRIB_ARRAY_DIVISOR = 0x88FE;
const int GL_VERTEX_ATTRIB_ARRAY_ENABLED        = 0x8622;
const int GL_VERTEX_ATTRIB_ARRAY_INTEGER = 0x88FD;
const int GL_VERTEX_ATTRIB_ARRAY_NORMALIZED     = 0x886A;
const int GL_VERTEX_ATTRIB_ARRAY_POINTER        = 0x8645;
const int GL_VERTEX_ATTRIB_ARRAY_SIZE           = 0x8623;
const int GL_VERTEX_ATTRIB_ARRAY_STRIDE         = 0x8624;
const int GL_VERTEX_ATTRIB_ARRAY_TYPE           = 0x8625;
const int GL_VERTEX_SHADER                    = 0x8B31;
const int GL_VIEWPORT                       = 0x0BA2;
const int GL_WAIT_FAILED = 0x911D;
const int GL_ZERO                           = 0;
